body {
    min-height: 100vh;
    min-height: -webkit-fill-available;
    font-size: 0.8rem;
    padding-right: 1rem;
    overflow: hidden;
}

html {
    height: -webkit-fill-available;
}

main {
    display: flex;
    flex-wrap: nowrap;
    /*

    height: 100vh;
    height: -webkit-fill-available;
    max-height: 100vh;
    */
    overflow-x: hidden;
    overflow-y: hidden;
}

.form-switch .form-check-input {
    margin-left: 0rem !important;
}

.card-cotacao {
    min-height: 330px;
}

.table-success {
    --bs-table-bg: rgba(0,0,0,.03);
    --bs-table-striped-bg: rgba(0,0,0,.05);
    --bs-table-striped-color: #000;
    --bs-table-active-bg: rgba(0,0,0,.07);
    --bs-table-active-color: #000;
    --bs-table-hover-bg: rgba(0,0,0,.15);
    --bs-table-hover-color: #000;
    color: #000;
    border-color: rgba(0,0,0,.15);
}

.redflags-semaforo-verde {
    color: green;
    font-size: 2rem;
}

.redflags-semaforo-amarelo {
    color: yellow;
    font-size: 2rem;
}

.redflags-semaforo-laranja {
    color: #ff9700;
    font-size: 2rem;
}

.redflags-semaforo-vermelho {
    color: red;
    font-size: 2rem;
}

/*-------------------------------------------------
    Intro Page
-------------------------------------------------*/
#intro {
    background: linear-gradient( 180deg, rgba(18, 57, 95, 0.8) 0%, rgba(18, 57, 95, 0.64) 80% ), url("../../content/img/background.png");
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}

@media (max-width: 769px) {
    #intro {
        background-image: none !important;
        background-color: #002e5d;
    }
}

.dropdown-menu {
    background-color: lightgrey;
}

.menu-sidebar-size {
    width: 66px;
    height: 55px;
}

.menu-sidebar-icon {
    font-size: 2rem;
    color: #002e5d; /* #0d6efd; */
}

.menu-item-icon {
    font-size: 1.2rem;
    color: #002e5d; /* #0d6efd; */
    margin-right: 10px;
}

.menu-subitem-icon {
    font-size: 1.1rem;
    color: #002e5d; /* #0d6efd; */
    margin-right: 10px;
    margin-left: 25px;
}

.menu-group-text {
    font-size: 1rem;
    font-weight: 500;
}

.menu-item-text {
    font-size: 1rem;
}

.header {
    margin-top: 10px;
    margin-bottom: 40px;
}

.header-title {
    font-size: calc(1.3rem + .6vw);
    line-height: 1.2;
    font-weight: 500;
}

.page-header {
    width: 100%;
    margin-top: 5px;
    margin-bottom: 5px;
}

.page-title {
    font-size: medium;
    font-weight: bold;
}

.breadcrumb {
    font-size: 10px;
    margin-top: 5px;
    margin-bottom: 0px;
}

    .breadcrumb > li {
        margin-left: 15px;
    }

.block-area-filter {
    font-size: 12px;
    padding: 5px 5px 10px;
    display: inline-block;
    letter-spacing: 0.5px;
    width: 100%;
    margin-left: 0;
    margin-right: 0px;
    margin-bottom: 10px;
}

.block-area-content {
    font-size: 12px;
    padding: 5px 5px 10px;
    display: inline-block;
    letter-spacing: 0.5px;
    width: 100%;
    margin-left: 0;
    margin-right: 0px;
    margin-bottom: 10px;
}

.alert {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

/*-------------------------------------------------
    center block areaSizing
-------------------------------------------------*/
.center-block-area {
    height: 500px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    background: #e6e6e6;
    border-radius: 10px;
}
/* X-Small devices (portrait phones, less than 576px)
// No media query for `xs` since this is the default in Bootstrap */

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    .center-block-area {
        width: calc(100% - 150px)
    }
}
/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .center-block-area {
        width: calc(100% - 350px)
    }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .center-block-area {
        width: calc(100% - 580px)
    }
}
/* X-Large devices (large desktops, 1200px and up) */
@media (min-width:1200px) {
    .center-block-area {
        width: calc(100% - 700px)
    }
}
/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width:1400px) {
    .center-block-area {
        width: calc(100% - 900px)
    }
}

/*-------------------------------------------------
    Modal Sizing
-------------------------------------------------*/
@media (min-width:480px) { /* Phones */
    .modal-lg {
        width: calc(100% - 10px);
        max-width: 90%;
    }

    .modal-xl {
        width: calc(100% - 4px);
        max-width: 90%;
    }
}

@media (min-width:769px) { /* Tablets */
    .modal-lg {
        width: calc(100% - 50px);
        max-width: 90%;
    }

    .modal-xl {
        width: calc(100% - 5px);
        max-width: 90%;
    }
}

@media (min-width:992px) { /* Desktop */
    .modal-lg {
        width: calc(100% - 100px);
        max-width: 80%;
    }

    .modal-xl {
        width: calc(100% - 20px);
        max-width: 90%;
    }
}

@media (min-width:1200px) { /* wide screen */
    .modal-lg {
        width: calc(100% - 150px);
        max-width: 80%;
    }

    .modal-xl {
        width: calc(100% - 30px);
        max-width: 90%;
    }
}

@media (min-width:1920px) { /* XL */
    .modal-lg {
        width: calc(100% - 200px);
        max-width: 80%;
    }

    .modal-xl {
        width: calc(100% - 50px);
        max-width: 90%;
    }
}

.block-title {
    background: #002e5d;
    color: white;
    font-size: 12px;
    text-transform: uppercase;
    padding: 5px 10px 5px;
    display: inline-block;
    letter-spacing: 0.5px;
    border-radius: 8px;
}

.btn {
    font-weight: 200;
    line-height: 1;
    font-size: 0.8rem;
}

.btn-ghost {
    font-weight: 200;
    line-height: 1;
    font-size: 1rem;
}

.btn-filter {
    margin-top: 22px;
}

.form-control {
    font-size: 0.8rem;
    padding: 0.275rem 0.45rem;
}

/* Adapts a floating label for use with a left-handed input group icon */
.form-floating > .bi-calendar-date + .datepicker_input + label {
    padding-left: 3.5rem;
    z-index: 3;
}
